@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700;800&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif;
}
html {
  scroll-behavior: smooth;
}
body {
  overflow: hidden;
}
.container {
  position: relative;
  width: 100%;
}
.navigation {
  position: fixed;
  width: 200px;
  height: 100%;
  background-color: #003147;
  transition: 0.5s;
  overflow-x: hidden;
  overflow-y: scroll;
}
.navigation.active {
  width: 60px;
}
.navigation ul {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
}
.navigation ul li {
  position: relative;
  width: 100%;
  list-style-type: none;
  margin-top: 4px;
}

.navigation ul li:hover {
  background: #03a9f4;
}

.navigation ul li:nth-child(1) {
  margin-bottom: 20px;
  margin-top: 0px;
  /*margin-top: 20px;*/
}

.navigation ul li:nth-child(1):hover {
  background: transparent;
}
.navigation ul li a {
  position: relative;
  display: block;
  width: 100%;
  display: flex;
  text-decoration: none;
  color: #fff;
}
.navigation ul li a .icon {
  padding-top: 6px;
  position: relative;
  display: block;
  min-width: 40px;
  height: 30px;
  line-height: 40px;
  text-align: center;
}
.navigation ul li a .icon .fa {
  color: #fff;
  font-size: 20px;
}

.navigation ul li:nth-child(1) a .icon .fa {
  font-size: 24px;
  margin-top: 13px;
}
.navigation ul li:nth-child(1) a .title {
  margin-top: 17px;
}

.navigation ul li a .title {
  position: relative;
  display: block;
  padding: 0 10px;
  height: 30px;
  line-height: 30px;
  white-space: nowrap;
  font-size: 13px;
  padding-left: 0;
  margin-top: 2px;
}

.main {
  position: absolute;
  width: calc(100% - 200px);
  left: 200px;
  min-height: 100vh;
  background: #f5f5f5;
  transition: 0.5s;
}
.main.active {
  width: calc(100% - 60px);
  left: 40px;
}
.main .topbar {
  width: 100%;
  background: #fff;
  height: 60px;
  padding-left: 10px;
  padding-right: 10px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.toggle {
  position: relative;
  width: 60px;
  height: 60px;
  cursor: pointer;
}
.toggle::before {
  content: '\f0c9';
  font-family: fontAwesome;
  position: absolute;
  width: 100%;
  height: 100%;
  line-height: 60px;
  font-size: 24px;
  text-align: center;
  color: #111;
}
.search {
  position: relative;
  width: 400px;
  margin: 0 10px;
}
.search label {
  position: relative;
  width: 100%;
}
.search label input {
  width: 100%;
  height: 40px;
  border-radius: 40px;
  padding: 5px 20px;
  padding-left: 35px;
  outline: none;
  border: 1px solid rgba(0, 0, 0, 0.2);
}
.search label .fa {
  position: absolute;
  left: 15px;
  top: 4px;
  color: rgb(131, 131, 131);
}
.user {
  position: relative;
  min-width: 40px;
  height: 40px;
  border-radius: 50%;
  overflow: hidden;
  cursor: pointer;
}

.user img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/*********************************** Dropdown ****************************************/
ol li {
  margin: 0px 0px 0px 45px !important;
  padding: 0;
  list-style-type: none;
  display: block;
}
ol li a {
  font-size: 13px;
  /*margin-top: 10px;*/
  padding: 4px;
  width: auto !important;
}

ol li a .inner-icon {
  font-size: 13px;
  margin-top: 2px;
}
ol li a .inner-title {
  margin-left: 5px;
}

ol li a:hover {
  background: #03a9f4;
  background-color: white;
  color: black;
}

/***************************** mobile **********************************************/

@media (max-width: 720px) {
  .main {
    width: 100%;
    left: 0px;
  }
  .navigation {
    width: 100%;
    left: -100%;
    z-index: 1000;
  }
  .navigation.active {
    width: 100%;
    left: 0;
  }
  .toggle.active::before {
    color: #fff;
    left: initial;
  }
  .toggle.active {
    position: fixed;
    z-index: 10000;
    right: 0;
  }
  .navigation ul li a .icon {
    padding-top: 17px;
    min-width: 60px;
    height: 60px;
    line-height: 60px;
  }
  .navigation ul li a .icon .fa {
    font-size: 24px;
  }
  .navigation ul li a .title {
    padding: 0 10px;
    height: 60px;
    line-height: 60px;
    font-size: 18px;
    margin-top: 0px;
  }
  .navigation ul li:nth-child(1) a .title {
    margin-top: 0px;
  }
  .navigation ul li:nth-child(1) a .icon .fa {
    margin-top: 3px;
  }
  /*dropdown*/
  ol li a .inner-icon {
    font-size: 13px;
    margin-top: 2px;
    font-size: 17px;
  }
  ol li a .inner-title {
    margin-left: 5px;
    font-size: 17px;
  }
  ol li {
    margin: 0px 0px 0px 60px !important;
  }
}


.contents {
  width: 100%;
  height: 100%;
  overflow-y: scroll;
  position: absolute;
}

.contents_frame {
  width: 100%;
  height: 100%;
  border: none;
  outline: none;
  overflow-y: scroll;
  background-color: white;
}

/*....hide scrollbar................................*/

/* Hide scrollbar for Chrome, Safari and Opera */
#navigation::-webkit-scrollbar {
  display: none;
}

/* Hide scrollbar for IE, Edge and Firefox */
#navigation {
  -ms-overflow-style: none;
  /* IE and Edge */
  scrollbar-width: none;
  /* Firefox */
}


/* Hide scrollbar for Chrome, Safari and Opera */
#contents_frame::-webkit-scrollbar {
  display: none;
}

/* Hide scrollbar for IE, Edge and Firefox */
#contents_frame {
  -ms-overflow-style: none;
  /* IE and Edge */
  scrollbar-width: none;
  /* Firefox */
}

/* Hide scrollbar for Chrome, Safari and Opera */
#contents::-webkit-scrollbar {
  display: none;
}

/* Hide scrollbar for IE, Edge and Firefox */
#contents {
  -ms-overflow-style: none;
  /* IE and Edge */
  scrollbar-width: none;
  /* Firefox */
}


html {
  scroll-behavior: smooth;
}